Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tGlobal

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tGlobal

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tGlobal

extends tSystem

Field Summary
`static int` | `kNumSystems`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tGlobal()`

Method Summary
`protected void` | `finalize()`
`static boolean` | `readFPGA_LED()`
`static long` | `readLocalTime()`
`static long` | `readRevision()`
`static int` | `readVersion()`
`static void` | `writeFPGA_LED(boolean value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

Constructor Detail

### tGlobal

    public tGlobal()

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### readVersion

    public static int readVersion()

### readLocalTime

    public static long readLocalTime()

### writeFPGA_LED

    public static void writeFPGA_LED(boolean value)

### readFPGA_LED

    public static boolean readFPGA_LED()

### readRevision

    public static long readRevision()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"